Skip to content

Update case information

Request

Update selected fields of a case. Send only the fields to change; omitted fields remain unchanged, and all updates are applied atomically.

Security
oauth2ClientCredentials(Required scopes: cases:write) and apiKeyAuth
Path
caseUuidstring, (uuid)required

Case UUID.

Bodyapplication/jsonrequired
non-empty
caseobject(CaseUpdateDetails)
claimobject(ClaimUpdate)
claimantobject(ClaimantUpdate)
claimantsAddressobject(ClaimantAddressUpdate)
referringorganizationobject(ReferringOrganizationUpdate)
referrercontactprofileobject(ReferrerContactProfileUpdate)
curl -i -X PATCH \
  'https://docs.wisedocs.ai/_mock/api/openapi/api/v1/cases/{caseUuid}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: YOUR_API_KEY_HERE' \
  -d '{
    "claimant": {
      "lastName": "Doe-Smith",
      "dateOfBirth": null
    },
    "claimantsAddress": {
      "street1": "456 New Street",
      "street2": ""
    }
  }'

Responses

Case updated.

Bodyapplication/json
dataobject(CaseView)

Case details.

statusstring
Example:"success"
Response
{ "status": "success", "data": { "caseUuid": "123e4567-e89b-12d3-a456-426614174000", "created": "2026-01-15T14:30:00Z", "case": { … }, "claim": { … }, "claimant": { … }, "claimantsAddress": { … }, "referringorganization": { … }, "referrercontactprofile": { … } } }